Bug 799502 - BUG: unable to handle kernel NULL pointer dereference at 00000041 sysfs_create_dir
BUG: unable to handle kernel NULL pointer dereference at 00000041 sysfs_creat...
Status: CLOSED INSUFFICIENT_DATA
Product: Fedora
Classification: Fedora
Component: kernel (Show other bugs)
16
i686 Unspecified
unspecified Severity unspecified
: ---
: ---
Assigned To: Kernel Maintainer List
Fedora Extras Quality Assurance
abrt_hash:c42bd20abb7fcb8ce92fc20a5bd...
:
Depends On:
Blocks:
  Show dependency treegraph
 
Reported: 2012-03-02 14:52 EST by krysolov230
Modified: 2012-09-04 13:20 EDT (History)
6 users (show)

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2012-09-04 13:20:35 EDT
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)
File: smolt_data (3.13 KB, text/plain)
2012-03-02 14:52 EST, krysolov230
no flags Details

  None (edit)
Description krysolov230 2012-03-02 14:52:13 EST
libreport version: 2.0.8
abrt_version:   2.0.7
cmdline:        BOOT_IMAGE=/vmlinuz-3.2.7-1.fc16.i686 root=/dev/mapper/VolGroup-lv_root ro rd.md=0 rd.dm=0 rd.lvm.lv=VolGroup/lv_swap KEYTABLE=ru quiet SYSFONT=latarcyrheb-sun16 rhgb rd.lvm.lv=VolGroup/lv_root rd.luks=0 LANG=ru_RU.UTF-8
comment:        Достал флэшку из компьютера.
kernel:         3.2.7-1.fc16.i686 #1 MSI MS-7623/760GM-P33 (MS-7623
reason:         BUG: unable to handle kernel NULL pointer dereference at 00000041
time:           Пт. 02 марта 2012 22:47:36

smolt_data:     Binary file, 3203 bytes

backtrace:
:BUG: unable to handle kernel NULL pointer dereference at 00000041
:IP: [<c058dfc9>] sysfs_create_dir+0x29/0xb0
:*pde = 69277067 
:Oops: 0000 [#1] SMP 
:Modules linked in: binfmt_misc xfs btrfs libcrc32c vfat fat usb_storage ppp_deflate zlib_deflate ppp_async crc_ccitt ppp_generic slhc fuse lockd be2iscsi iscsi_boot_sysfs bnx2i cnic uio fcoe libfcoe cxgb4i cxgb4 libfc
:scsi 7:0:0:0: [sdc] Unhandled error code
:scsi 7:0:0:0: [sdc]  Result: hostbyte=DID_ERROR driverbyte=DRIVER_OK
:scsi 7:0:0:0: [sdc] CDB: Read(10): 28 00 00 00 02 08 00 00 08 00
:end_request: I/O error, dev sdc, sector 520
:Buffer I/O error on device sdc1, logical block 440
:Buffer I/O error on device sdc1, logical block 441
:Buffer I/O error on device sdc1, logical block 442
:Buffer I/O error on device sdc1, logical block 443
:Buffer I/O error on device sdc1, logical block 444
:Buffer I/O error on device sdc1, logical block 445
:Buffer I/O error on device sdc1, logical block 446
:Buffer I/O error on device sdc1, logical block 447
: scsi_transport_fc scsi_tgt cxgb3i libcxgbi cxgb3 mdio 8021q garp stp llc ib_iser rdma_cm ib_cm iw_cm ib_sa ib_mad ib_core ib_addr iscsi_tcp libiscsi_tcp libiscsi scsi_transport_iscsi ip6t_REJECT nf_conntrack_ipv6 nf_defrag_ipv6 nf_conntrack_ipv4 ip6table_filter nf_defrag_ipv4 ip6_tables xt_state nf_conntrack snd_hda_codec_via snd_hda_intel snd_hda_codec microcode snd_hwdep snd_seq snd_seq_device ppdev parport_pc sp5100_tco i2c_piix4 parport k10temp atl1c snd_pcm snd_timer snd soundcore snd_page_alloc uinput sunrpc pata_acpi ata_generic pata_atiixp wmi radeon ttm drm_kms_helper drm i2c_algo_bit i2c_core [last unloaded: scsi_wait_scan]
:Pid: 694, comm: gpartedbin Not tainted 3.2.7-1.fc16.i686 #1 MSI MS-7623/760GM-P33 (MS-7623)
:EIP: 0060:[<c058dfc9>] EFLAGS: 00010246 CPU: 0
:EIP is at sysfs_create_dir+0x29/0xb0
:EAX: f1546460 EBX: df9c6c24 ECX: f4009d40 EDX: ef389240
:ESI: 00000000 EDI: 00000000 EBP: ed6f5cbc ESP: ed6f5ca0
: DS: 007b ES: 007b FS: 00d8 GS: 00e0 SS: 0068
:Process gpartedbin (pid: 694, ti=ed6f4000 task=c968f110 task.ti=ed6f4000)
:Stack:
: ed315cf0 c04ff069 00000000 f4009d4c df9c6c24 00000000 df9c6c24 ed6f5cf4
: c06482a4 f15b77e0 ed6f5d04 c051e205 ed6f5d48 ed6f5cf4 c064f2b1 f15b77e0
: 00218c4f f1546460 df9c6c24 00000000 df9c6c24 ed6f5d10 c0648755 ed6f5d08
:Call Trace:
: [<c04ff069>] ? pcpu_alloc_area+0x139/0x310
: [<c06482a4>] kobject_add_internal+0x94/0x230
: [<c051e205>] ? kmem_cache_alloc_trace+0x105/0x140
: [<c064f2b1>] ? string+0x31/0xb0
: [<c0648755>] kobject_add+0x35/0x80
: [<c0648202>] ? kobject_get+0x12/0x20
: [<c0706608>] device_add+0xa8/0x610
: [<c070fe79>] ? device_pm_init+0x49/0x70
: [<c0588302>] add_partition+0x262/0x3d0
: [<c063760d>] blkpg_ioctl+0x28d/0x2e0
: [<c0637c78>] blkdev_ioctl+0x618/0x7e0
: [<c05feadb>] ? inode_has_perm+0x3b/0x50
: [<c055c45f>] block_ioctl+0x3f/0x50
: [<c055c420>] ? bd_set_size+0xa0/0xa0
: [<c053e1d6>] do_vfs_ioctl+0x86/0x5a0
: [<c0601ee4>] ? selinux_file_ioctl+0x54/0x110
: [<c053e75f>] sys_ioctl+0x6f/0x80
: [<c0921644>] syscall_call+0x7/0xb
:Code: 76 00 55 89 e5 57 56 53 83 ec 10 3e 8d 74 26 00 85 c0 89 c3 0f 84 86 00 00 00 8b 40 0c be 40 95 b5 c0 85 c0 74 03 8b 70 18 31 ff <80> 7e 41 00 75 59 89 d8 e8 1a ac 0b 00 85 c0 74 5e 8b 00 85 c0
Comment 1 krysolov230 2012-03-02 14:52:18 EST
Created attachment 567153 [details]
File: smolt_data
Comment 2 Stanislaw Gruszka 2012-05-30 04:50:38 EDT
Possible fix (RFC patch):
http://marc.info/?l=linux-scsi&m=133793175125892&w=2
Comment 3 Stanislaw Gruszka 2012-05-30 05:31:49 EDT
Actually I think patch fix a different problem. 3.2 kernel is kinda old, can you reproduce the problem with 3.3 or 3.4 kernel?

Note You need to log in before you can comment on or make changes to this bug.